package org.this_voice.ruzhechu02;
 
/*
 * BetaPhoneCheck.java is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * R. Earle Harris (evsiz@this-voice.org) copyrighted 2014
 *
 */


import android.telephony.TelephonyManager;
import android.content.Context;
import java.util.Set;
import java.util.HashSet;
import java.util.Arrays;
/**
    // class declaration
	private boolean production = true;

	// onCreate
	boolean hasAccess = true;

	if (!production){
	hasAccess = new BetaPhoneCheck(this).hasAccess();
	}
	
	if (! hasAccess){
	setContentView(R.layout.no_access);
	} else {
	//normal start
    }

	// manifest permission
	<uses-permission android:name="android.permission.READ_PHONE_STATE" />


 **/

public class BetaPhoneCheck extends Object {

	private String accessGranted = "false";
	private Context appContext = null;
	private static final Set<String> ACCESS_LIST = new HashSet<String>(Arrays.asList(
		new String[] {"2074583598"}));

	public BetaPhoneCheck(Context context) {
		appContext = context;
	}


	public boolean hasAccess(){
		String thisNumber = getDevicePhoneNumber();
		thisNumber = thisNumber.replace("-", ""); //FIXME use fhandler's regex code
		return ACCESS_LIST.contains(thisNumber);
	}


	/*
	 * not guaranteed to work...
	 */
	private String getDevicePhoneNumber() {
		TelephonyManager mTelephonyMgr;
		mTelephonyMgr = (TelephonyManager)
			appContext.getSystemService(Context.TELEPHONY_SERVICE);
		return mTelephonyMgr.getLine1Number();
	}	

}
