package BPpackage;
 
/*
 * BoilerPlate.java is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * R. Earle Harris (evsiz@this-voice.org) copyrighted 2014
 *
 */



import android.app.Application;

/*

An application is a place to put a global reference. All activities
in a metronome app need to be able to silence the metronome onPause.
Similar apps will have their necessary global objects.

You must add the following line to the <application> tag of
the project's AndroidManifest.xml

		android:name="BoilerPlate"

Call it like this:

		((BoilerPlate) this.getApplication()).getMet().stop();

 */

public class BoilerPlate extends Application {

	private Metronome mMetronome;

    public Metronome getMet() {
        return mMetronome;
    }

    public void setMet(Metronome met) {
        this.mMetronome = met;
    }
}
