#!/bin/bash
# pr_newClass.sh
# created and copyrighted:  Tue May 28 15:12:39 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
PLT=$dot/plate/class

LIST=`ls -F $PLT`
for l in $LIST; do
    echo "FALSE "$l >> pr_tmp
    done
LIST=`cat pr_tmp`
rm pr_tmp

zenChoices Inject Class "$LIST"

DEST=`ls -F $src | grep / | tr -d /`
zenList "Choose Directory" "$name $DEST"

if [ -d $src/$CHOICE ]; then
	src=$src/$CHOICE 
	package=$package.$CHOICE
fi


for c in $CHOICES; do
    cp $PLT/$c $src
    done

pr_sr.sh $src BPpackage $package

