#!/bin/bash
# pr_newClusters.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

LIST=`ls -F $dot/plate/clusters | grep / | tr -d /`
zenList "New Cluster" "$LIST"

PLT=$dot/plate/clusters/$CHOICE

setSrc
zenFormActivitiesNoName

parentImport
XMLmanifest
XMLvalues

# res dirs
DIRS=`ls $PLT/res`
for d in $DIRS; do
	mkdir $PRIDE/$name/res/$d/
	cp $PLT/res/$d/* $PRIDE/$name/res/$d/
done

# assets dir
if [ -d $PLT/assets ]; then
	mkdir $PRIDE/$name/assets
	cp -r $PLT/assets/* $PRIDE/$name/assets
fi

# libs dir
if [ -d $PLT/libs ]; then
	mkdir $PRIDE/$name/libs
	cp -L $PLT/libs/* $PRIDE/$name/libs/
fi

# src dir
cp -rL $PLT/src/* $src/
rm $src/4Parent.java 

prReplace	

