#!/bin/bash
# pr_newCode.sh
# created and copyrighted:  Sat May 11 10:22:43 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
PLT=$dot/plate/code

LIST=`ls -F $dot/plate/code/code`
for l in $LIST; do
    echo "FALSE "$l >> pr_tmp
    done
LIST=`cat pr_tmp`
rm pr_tmp

zenChoices Inject Code "$LIST"

CHOICE=`ls -1 $src | zenity --list --height=400 --title "Target File" --column "Files"  2>/dev/null`

if [ "$CHOICE" == "" ]; then
	exit
fi

if [ -d $src/$CHOICE ]; then
	src=$src/$CHOICE 
	CHOICE=`ls -1 $src | zenity --list --height=400 --title "Target File" --column "Files"  2>/dev/null`
fi

if [ "$CHOICE" == "" ]; then
	exit
fi

parent=$CHOICE
cd $dot/plate/code/

for c in $CHOICES; do
    method=$c
    injectMethod
	EXTRAS=`find res/ -name $c.xml`
	for e in $EXTRAS; do
		cp $e $PRIDE/$name/$e
    done
done


