#!/bin/bash
# pr_personalPlate.sh
# created and copyrighted:  Sat 28 Sep 2013 09:34:08 AM EDT
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi


token=`cat $dot/name`
tgt=$PRIDE/$token

DIRS=`ls $PERSONAL`
for d in $DIRS; do
	SBDIRS=`ls $PERSONAL/$d`
	for s in $SBDIRS; do
		mkdirhier $tgt/$d/$s
		cp $PERSONAL/$d/$s/* $tgt/$d/$s
	done
done
