#!/bin/bash
# pr_projectBatchBuild.sh
# created and copyrighted:  12 aug 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi


names=`ls -F $PRIDE | grep / | tr -d /`
for l in $names; do
	echo "FALSE "$l >> pr_tmp
done
names=`cat pr_tmp`
rm pr_tmp

zenChoices Select Project "$names"

for c in $CHOICES; do

	cd $PRIDE/$c
	cp .name $dot/name
	cp .package $dot/package
	pr_clean.sh
	$PRTERM -e pr_build.sh

done


