#!/bin/bash
# pr_projectIcons.sh
# created and copyrighted:  Thu May 30 13:56:46 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

name=`ls -F $PRIDE | grep / | tr -d / | zenity --list --height=400 --title "Icons" --column "Icons for ..." 2>/dev/null`
if [ "$name" == "" ] ; then
	exit
fi

cd $PRIDE/$name

if [ -d res/drawable ]; then	#48x48
	convert ic_launcher-web.png -resize 2304@ res/drawable/ic_launcher.png
fi

if [ -d res/drawable-hdpi ]; then	#72x72
	convert ic_launcher-web.png -resize 5184@ res/drawable-hdpi/ic_launcher.png
fi

if [ -d res/drawable-mdpi ]; then	#48x48
	convert ic_launcher-web.png -resize 2304@ res/drawable-mdpi/ic_launcher.png
fi

if [ -d res/drawable-xhdpi ]; then	#96x96
	convert ic_launcher-web.png -resize 9216@ res/drawable-xhdpi/ic_launcher.png
fi

if [ -d market ]; then	#96x96
	convert ic_launcher-web.png -resize 9216@ market/"$name"Web.png
fi

if [ -d res/drawable-xxhdpi ]; then	#144x144
	convert ic_launcher-web.png -resize 20736@ res/drawable-xxhdpi/ic_launcher.png
fi
