#!/bin/bash
# pr_projectImport.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi


OLD=`ls -F $IMPORTS | grep / | tr -d /`
zenList "Project To Import" "$OLD"

export PRIDEDEV="true"
pr_projectNew.sh $CHOICE

rm -r $PRIDE/$CHOICE/res
rm -r $PRIDE/$CHOICE/src

cp -r $IMPORTS/$CHOICE/assets  $PRIDE/$CHOICE/
cp -r $IMPORTS/$CHOICE/res  $PRIDE/$CHOICE/
cp -r $IMPORTS/$CHOICE/src  $PRIDE/$CHOICE/
cp -r $IMPORTS/$CHOICE/libs/*  $PRIDE/$CHOICE/libs/

cp $IMPORTS/$CHOICE/AndroidManifest.xml  $PRIDE/$CHOICE/
cp $IMPORTS/$CHOICE/ic_launcher-web.png  $PRIDE/$CHOICE/


#
# overwrite and add personal plate 
#
if  [ "$PERSONAL" != "" ]; then
    zenity --question --text="Inject personal plate into $token"
    if [ $? -eq 0 ]; then
		pr_personalPlate.sh
    fi
fi
