#!/bin/bash
# pr_header.sh
# created and copyrighted: Fri 07 Feb 2014 07:58:04 AM EST
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#
# Takes java file and reorgs to package line, newline, 
# sorted imports, newline, class line. Leaves the rest
# unaltered.
#

cat $1 | grep ^import | sort | sed 's/; /;\n/g'> tmppf

cat $1 | awk ' { 
    if ( $0 ~ /^public/ ) {
             INSIDE = 1
             print ""
        }
    if ( $0 == "" && INSIDE != 1 ) {
             next
        }
    if ( $0 ~ /^import/ ) {
             next
        }
    if ( $0 ~ /^package/ ) { 
             print $0
             print ""
             system("cat tmppf") 
             print ""
        } 
    else {
         print $0
        }
    }'>tmphdr


rm tmppf
mv tmphdr $1
