#!/bin/bash
# pr_newX.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc

FILE=`ls -t $src/* | head -n 1`

cat $FILE | awk '{ if ($0 ~ /#/ ){ print } }' >> pr_tmp
LINES=`cat pr_tmp`
rm pr_tmp

for line in $LINES; do
    echo $line | cut -s -d\# -f2 | cut -d\. -f1 | tr -d [:punct:] >> pr_tmp
    done
LINES=`cat pr_tmp`
rm pr_tmp

for line in $LINES; do
	if [ "$line" == "" ]; then
		continue
		fi
    IMPORT=`grep "\."$line"[[:space:]]" $dot/packages.txt | tr -d [:space:]`
    echo -n "import "$IMPORT";\\n" >> pr_tmp
    done
LINES=`cat pr_tmp`
rm pr_tmp

cat $FILE | awk '{ if ($0 ~ /^public class/ ){ print "'"$LINES"'" ; print "" } \
            gsub(/#/, ""); print }' >> pr_tmp

mv pr_tmp $FILE

pr_header.sh $FILE