#!/bin/bash
# pr_injection.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

zenList "Injection" "Activity Object Code Class Clusters EditText Layout View Widget Perm"

if [ "$CHOICE" == "EditText" ]; then
	pr_newXML.sh edit
elif [ "$CHOICE" == "Layout" ]; then
	pr_newXML.sh layout
elif [ "$CHOICE" == "View" ]; then
	pr_newXML.sh view
elif [ "$CHOICE" == "Widget" ]; then
	pr_newXML.sh widget
else
	pr_new$CHOICE.sh
fi


pride &
