#!/bin/bash
# pr_newXML.sh
# created and copyrighted:  Wed May 22 11:27:00 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
xml=$PRIDE/$name/res/layout
PLT=$dot/plate/$1

LIST=`ls -F $PLT`
for l in $LIST; do
    echo "FALSE "$l >> pr_tmp
    done
LIST=`cat pr_tmp`
rm pr_tmp

zenChoices Inject XML "$LIST"

LIST=`ls -1 $xml`
for l in $LIST; do
	echo -n `basename $l` | tr -d [:space:] >> pr_tmp
	echo " " >> pr_tmp
	done
LIST=`cat pr_tmp`
rm pr_tmp
zenList "Layout" "$LIST"

for c in $CHOICES; do
    cat $PLT/$c >> $xml/$CHOICE
    done


